<?php get_header(); ?>
 <?php global $themeName;
 $options = get_option($themeName.'_options');?>
<div id="container">
	<div id="content">
	<?php the_post(); ?>
	
		<div id="nav-above" class="navigation">
			<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">&laquo;</span> %title' ) ?></div>
			<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">&raquo;</span>' ) ?></div>
		</div><!-- #nav-above -->			
		
		<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
			<h1 class="entry-title"><?php if(the_title_attribute('echo=0')!="")the_title(); else {echo the_permalink();} ?></h1>
			
			<div class="entry-meta">
				<?php if ($options['date']) : ?><span class="entry-date"><abbr class="published" title="<?php the_time('Y-m-d\TH:i:sO') ?>"><?php the_time( get_option( 'date_format' ) ); ?></abbr></span><?php endif; ?>
                <?php if ($options['author']) : ?><span class="author vcard">
					<a class="url fn n" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" title="<?php printf( __( 'View all posts by %s', $themeName ), $authordata->display_name ); ?>"><?php the_author(); ?></a>
					</span>
				<?php endif; ?>
                
                
            </div><!-- .entry-meta -->

			<div class="entry-content">
				<?php the_content(); ?>
				<?php wp_link_pages('before=<div class="page-link">' . __( 'Pages:', $themeName ) . '&after=</div>') ?>
            </div><!-- .entry-content -->
										
			<div class="entry-utility">
				<?php 
					printf( __( 'This entry was posted in %1$s. ', $themeName ),
						get_the_category_list(', ') ) ?>
			</div><!-- .entry-utility -->

		</div><!-- #post-<?php the_ID(); ?> -->  
		
		<div id="nav-below" class="navigation">
			<div class="nav-previous"><?php previous_post_link( '%link', '<span class="meta-nav">&laquo;</span> %title' ) ?></div>
			<div class="nav-next"><?php next_post_link( '%link', '%title <span class="meta-nav">&raquo;</span>' ) ?></div>
		</div><!-- #nav-below -->  
		
		<?php comments_template('', true); ?>		
		
	</div><!-- #content -->  
</div><!-- #container -->

<?php get_sidebar(); ?>
<?php get_footer(); ?>

